
import { integration } from "./biz/dataAsync";
import { migrateAdminPasswords, migrateEnterpriseUserPasswords } from "./biz/dataInit";
import { updateItemQCCData } from "./biz/qccInit";
import { initConfig, systemConfig } from "./config/serverConfig";
import { initApiDataStorage } from "./data/dataInterfaceWithCache";
import { httpServer } from "./net/http_server";

async function lanuch() {
    await initConfig();
    httpServer.createServer(systemConfig.port);
    console.log('This indicates that the server is started successfully.');

    // await initApiDataStorage();

    // await migrateEnterpriseUserPasswords();
    // await migrateAdminPasswords();
    // await integration();
}



lanuch();

